curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "image-to-text",
"input": {
"model": "florence-caption",
"image_url": "https://example.com/my-photo.jpg"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "image-to-text",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Generate detailed image descriptions using Florence 2.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "image-to-text",
"input": {
"model": "florence-caption",
"image_url": "https://example.com/my-photo.jpg"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "image-to-text",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | 1 credit |
| Tool | image-to-text |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | image-to-text |
input.model | string | Yes | florence-caption |
input.image_url | string | Yes | URL of the image to describe |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "image-to-text",
"input": {
"model": "florence-caption",
"image_url": "https://example.com/my-photo.jpg"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "image-to-text",
"createdAt": "2024-01-15T10:30:00.000Z"
}